<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access allowed to this file
defined( '_JEXEC' ) or die( 'Restricted access' );
 
// Import Joomla! Plugin library file
jimport('joomla.plugin.plugin');
 
//The System plugin Iyosis Piwik
class plgSystemIyosispiwik extends JPlugin
{
	/**
	* Constructor
	*/
	function plgSystemIyosisPiwik(& $subject, $params) {
		parent::__construct($subject, $params);
	}

	function onAfterRender()
	{
		$app = JFactory::getApplication();
		
		$piwikSiteID = $this->params->get('piwikSiteID', '');
		$piwikHTTPURL = $this->params->get('piwikHTTPURL', '');
		$piwikHTTPsURL = $this->params->get('piwikHTTPsURL', '');
		
		$body = JResponse::getBody();

		$piwik = '
		<!-- Piwik -->
		<script type="text/javascript">
		var pkBaseURL = (("https:" == document.location.protocol) ? "'.$piwikHTTPsURL.'" : "'.$piwikHTTPURL.'");
		document.write(unescape("%3Cscript src=\'" + pkBaseURL + "piwik.js\' type=\'text/javascript\'%3E%3C/script%3E"));
		</script><script type="text/javascript">
		try {
		  var piwikTracker = Piwik.getTracker(pkBaseURL + "piwik.php", '.$piwikSiteID.');
		  piwikTracker.trackPageView();
		  piwikTracker.enableLinkTracking();
		} catch( err ) {}
		</script>
		<!-- End Piwik Code -->
		';

		
		if(!($piwikSiteID == false || $app->isAdmin() || strpos($_SERVER["PHP_SELF"], "index.php") === false))
		{
		$body = str_replace ("</body>", $piwik."</body>", $body);
		JResponse::setBody($body);
		}

		return true;
	}
}


